diff -U3 -r hsfmodem-old/modules/imported/include/configtypes.h hsfmodem/modules/imported/include/configtypes.h
--- hsfmodem-old/modules/imported/include/configtypes.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/configtypes.h	2006-02-12 08:08:36.000000000 +0000
@@ -97,85 +97,85 @@
 
 typedef struct tagDTE_USER_CONFIG
 {
-    UINT8       bQuiet;     /* DTE result codes disabled*/
-    UINT8       bVerbose;   /* Long result form*/
-    UINT8       bLevel;     /* Result codes level */
-    UINT8       bConnect;   /* Connect Message Form*/
+    CXT_UINT8       bQuiet;     /* DTE result codes disabled*/
+    CXT_UINT8       bVerbose;   /* Long result form*/
+    CXT_UINT8       bLevel;     /* Result codes level */
+    CXT_UINT8       bConnect;   /* Connect Message Form*/
 
 } DTE_USER_CONFIG, *PDTE_USER_CONFIG;
 
 typedef struct tagMS_USER_CONFIG
 {
    MODULATION_TYPE	eModulation;
-   BOOL				bAutomode;
-   UINT32			dwMinTxSpeed;
-   UINT32			dwMaxTxSpeed;
-   UINT32			dwMinRxSpeed;
-   UINT32			dwMaxRxSpeed;
+   CXT_BOOL				bAutomode;
+   CXT_UINT32			dwMinTxSpeed;
+   CXT_UINT32			dwMaxTxSpeed;
+   CXT_UINT32			dwMinRxSpeed;
+   CXT_UINT32			dwMaxRxSpeed;
 
 } MS_USER_CONFIG, *PMS_USER_CONFIG;
 
 typedef struct tagDS_USER_CONFIG 
 {
-	UINT32	dwCompressDict;
-	UINT32	dwCompressStr;
-	UINT32	dwCompressDir;
-	UINT32	dwCompressNeg;
+	CXT_UINT32	dwCompressDict;
+	CXT_UINT32	dwCompressStr;
+	CXT_UINT32	dwCompressDir;
+	CXT_UINT32	dwCompressNeg;
 } DS_USER_CONFIG, *PDS_USER_CONFIG;
 
 #if !defined NO_V44_SUPPORT
 typedef struct DS44InfoStructTag
 {
-	UINT32 dwV44CompressDir;
-	UINT32 dwV44CompressNeg;
-	UINT32 dwV44Capability;
-	UINT32 dwV44TxDict;
-	UINT32 dwV44RxDict;
-	UINT32 dwV44TxStr;
-	UINT32 dwV44RxStr;
-	UINT32 dwV44TxHist;
-	UINT32 dwV44RxHist;
+	CXT_UINT32 dwV44CompressDir;
+	CXT_UINT32 dwV44CompressNeg;
+	CXT_UINT32 dwV44Capability;
+	CXT_UINT32 dwV44TxDict;
+	CXT_UINT32 dwV44RxDict;
+	CXT_UINT32 dwV44TxStr;
+	CXT_UINT32 dwV44RxStr;
+	CXT_UINT32 dwV44TxHist;
+	CXT_UINT32 dwV44RxHist;
 } DS44InfoStruct;
 #endif
 
 typedef struct tagEC_USER_CONFIG
 {
-   UINT32   dwOrgReq;
-   UINT32   dwOrgFbk;
-   UINT32   dwAnsFbk;
-   BOOL     bV42SkipToXID;
+   CXT_UINT32   dwOrgReq;
+   CXT_UINT32   dwOrgFbk;
+   CXT_UINT32   dwAnsFbk;
+   CXT_BOOL     bV42SkipToXID;
 } EC_USER_CONFIG, *PEC_USER_CONFIG;
 
 /*#$YS$ Added for Break handling */
 typedef struct tagBRK_USER_CONFIG
 {
-   UINT32   dwBreakSel;
-   UINT32   dwTimed;
-   UINT32   dwDefaultLen;
+   CXT_UINT32   dwBreakSel;
+   CXT_UINT32   dwTimed;
+   CXT_UINT32   dwDefaultLen;
 } BRK_USER_CONFIG, *PBRK_USER_CONFIG;
 
 
 /*YS@001130 */
 typedef struct tagITF_USER_CONFIG
 {
-   UINT32   dwXoffThresh;
-   UINT32   dwXonThresh;
-   UINT32   dwRptPeriod;
+   CXT_UINT32   dwXoffThresh;
+   CXT_UINT32   dwXonThresh;
+   CXT_UINT32   dwRptPeriod;
 } ITF_USER_CONFIG, *PITF_USER_CONFIG;
 
 /*#$YS$ */
 /* CFGMGR_VDR_PARAMS */
 typedef struct tagVDRParams 
 {
-	UINT32  dwRingReportEnable;
-    UINT32  dwRingReportType;
+	CXT_UINT32  dwRingReportEnable;
+    CXT_UINT32  dwRingReportType;
 } VDR_PARAMS, *PVDR_PARAMS;
 
 
 typedef struct
 {
 	MODULATION_TYPE Modulation;
-	UINT32 TxBitRate, RxBitRate;
+	CXT_UINT32 TxBitRate, RxBitRate;
 } CARRIER_REPORT;
 
 #define QC_PROFILE_RAMDATA_VALID		0x01
@@ -212,11 +212,11 @@
 
 typedef struct ModemOnHoldInfoTag
 {
-   UINT32	dwAllowHoldTime;
-   UINT32	dwHoldEnable;
-   UINT8	cRemoteModemInfo;
-/*   UINT8	cRawOnHoldTime; */
-   BOOL		bServerOnHold;
+   CXT_UINT32	dwAllowHoldTime;
+   CXT_UINT32	dwHoldEnable;
+   CXT_UINT8	cRemoteModemInfo;
+/*   CXT_UINT8	cRawOnHoldTime; */
+   CXT_BOOL		bServerOnHold;
 
    MOH_STATE eMxpertState;
 } ModemOnHoldInfo;
@@ -245,9 +245,9 @@
 /*
 typedef struct PACKED_ATTRIB
 {
-	UINT8	RingMaxFrequency,
+	CXT_UINT8	RingMaxFrequency,
 			RingMinFrequency;
-	UINT16	RingStable,
+	CXT_UINT16	RingStable,
 			MinTimeBeforeAnswering,
 			MinDelayBtwnRings,
 			MaxDelayBtwnRings,
@@ -268,17 +268,17 @@
 
 typedef struct PACKED_ATTRIB
 {
-	UINT16	InterCallDelay1,		/*Delay when same number dialed after outgoing call*/
+	CXT_UINT16	InterCallDelay1,		/*Delay when same number dialed after outgoing call*/
 			InterCallDelay2,		/*Delay when different number dialed after outgoing call*/
 			InterCallDelay3,		/*Delay after incoming call*/
 			BillingDelay;			/*Delay between ATA and start of v8bis*/
-	UINT16	uiDummy1,
+	CXT_UINT16	uiDummy1,
 			uiDummy2;
 } CALL_PROGRESS_TIMING_CONFIG, *PCALL_PROGRESS_TIMING_CONFIG;
 
 typedef struct PACKED_ATTRIB
 {
-	UINT16	DialToneStable,
+	CXT_UINT16	DialToneStable,
 			WDialToneStable,
 			AnswerToneStable,
 			CallProgressToneStable;
@@ -286,7 +286,7 @@
 
 typedef struct  PACKED_ATTRIB
 {
-	UINT8 v8o,		/* 1 = enable +A8x indicators, 6 = disable +A8x (originate)*/
+	CXT_UINT8 v8o,		/* 1 = enable +A8x indicators, 6 = disable +A8x (originate)*/
 		  v8a,		/* 1 = enable +A8x indicators, 5 = disable +A8x (answer)*/
 		  v8c,		/* value of V.8 CI signal call function*/
 		  v8b,		/* 0 = disable V.8bis, 1 = DCE-controlled V.8bis, 2 = DTE-controlled V.8bis*/
@@ -322,22 +322,22 @@
 
 typedef struct
 {
-    UINT8	    NS_FlexVersion;                     /* NS - Flex Version Number*/
-    UINT8	    NS_DSPVersion;                      /* NS - DSP Version Number*/
-	UINT8	    bRemoteIsConexant;                  /* remote modem is Conexant*/
-    UINT8	    bK56UseUlaw;                        /* use u-law in K56 negotiation*/
-    UINT8	    bK56flexNegotiated;                 /* remote server supports K56*/
-    UINT8	    bV90InNonStdFld;                    /* v.90 support is detected in NSF*/
-    UINT8	    bV90InStdFld;                       /* v.90 support is detected in SF*/
-    UINT8	    bV70_Enabled;
+    CXT_UINT8	    NS_FlexVersion;                     /* NS - Flex Version Number*/
+    CXT_UINT8	    NS_DSPVersion;                      /* NS - DSP Version Number*/
+	CXT_UINT8	    bRemoteIsConexant;                  /* remote modem is Conexant*/
+    CXT_UINT8	    bK56UseUlaw;                        /* use u-law in K56 negotiation*/
+    CXT_UINT8	    bK56flexNegotiated;                 /* remote server supports K56*/
+    CXT_UINT8	    bV90InNonStdFld;                    /* v.90 support is detected in NSF*/
+    CXT_UINT8	    bV90InStdFld;                       /* v.90 support is detected in SF*/
+    CXT_UINT8	    bV70_Enabled;
     V8BIS_STATE eState;
     V8BIS_FAILURE_REASON    eReason;
 } V8BIS_RESULT, *PV8BIS_RESULT;
 
 /* Structure passed with CFGMGR_ANSWER_TONE_DETECTOR/CFGMGR_BELL_TONE_DETECTOR */
 typedef struct tagAnswerToneParams {
-    UINT16  m_wCenterFrequency;
-    UINT16  m_wBandwidth;
+    CXT_UINT16  m_wCenterFrequency;
+    CXT_UINT16  m_wBandwidth;
     short   m_nAmplitude;			/* normed to 32768*/
 } ANSWER_TONE_PARAMS, *PANSWER_TONE_PARAMS;
 
@@ -425,19 +425,19 @@
 /* Transmit Level*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagTxlevel {
-	UINT8	TxDataLevelMin;
-	UINT8	TxDataLevelMax;
-	UINT8	TxDataLevelDefault;
-	UINT8	TxFaxLevelMin;
-	UINT8	TxFaxLevelMax;
-	UINT8	TxFaxLevelDefault;
-	UINT8	TxVoiceLevelMin;
-	UINT8	TxVoiceLevelMax;
-	UINT8	TxVoiceLevelDefault;
+	CXT_UINT8	TxDataLevelMin;
+	CXT_UINT8	TxDataLevelMax;
+	CXT_UINT8	TxDataLevelDefault;
+	CXT_UINT8	TxFaxLevelMin;
+	CXT_UINT8	TxFaxLevelMax;
+	CXT_UINT8	TxFaxLevelDefault;
+	CXT_UINT8	TxVoiceLevelMin;
+	CXT_UINT8	TxVoiceLevelMax;
+	CXT_UINT8	TxVoiceLevelDefault;
 	char	TxLvlAdj;							/* can be + or - */
-	UINT8	LowDialLevel;
-	UINT8	HighDialLevel;
-	UINT8	MaxVTSLineSingleToneLevel;
+	CXT_UINT8	LowDialLevel;
+	CXT_UINT8	HighDialLevel;
+	CXT_UINT8	MaxVTSLineSingleToneLevel;
 } CntryTxlevelStructure;
 #pragma pack()
 
@@ -452,59 +452,59 @@
 		workaround the bug. It should be removed if future versions of
 		GAS fix this (Ahi).
 */
-	UINT8	Padding;
+	CXT_UINT8	Padding;
 #endif
  
-	UINT8	PulseDialMode;
-	UINT8	PulseMapAmperP0;					/* Maps the &P values*/
-	UINT8	PulseMapAmperP1;
-	UINT8	PulseMapAmperP2;
-	UINT8	PulseMapAmperP3;
+	CXT_UINT8	PulseDialMode;
+	CXT_UINT8	PulseMapAmperP0;					/* Maps the &P values*/
+	CXT_UINT8	PulseMapAmperP1;
+	CXT_UINT8	PulseMapAmperP2;
+	CXT_UINT8	PulseMapAmperP3;
 	char	PulseMakeOffset;					/* can be +/- */
 	char	PulseBreakOffset;					/* can be +/- */
-	UINT8	PulseSetupTime;
-	UINT8	PulseClearTime;
-	UINT16	PulseInterd;
-	UINT16	LineMuteDelay;						/*VRO: Line mute delay*/
+	CXT_UINT8	PulseSetupTime;
+	CXT_UINT8	PulseClearTime;
+	CXT_UINT16	PulseInterd;
+	CXT_UINT16	LineMuteDelay;						/*VRO: Line mute delay*/
 } CntryPulseStructure;
 #pragma pack()
 
 /* Ring Detection Parameters*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagRing {
-	UINT8	RingMaxFrequency;
-	UINT8	RingMinFrequency;
-	UINT16	RingStable;
-	UINT16	MinTimeBeforeAnswering;
-	UINT16	MinDelayBtwnRings;
-	UINT16	MaxDelayBtwnRings;
-    UINT16	MinRingOnTime;
-    UINT16	MinImmediateRingOn;
-    UINT16	MaxImmediateRingOn;
-	UINT8	P85RingWakePulseWidth;
+	CXT_UINT8	RingMaxFrequency;
+	CXT_UINT8	RingMinFrequency;
+	CXT_UINT16	RingStable;
+	CXT_UINT16	MinTimeBeforeAnswering;
+	CXT_UINT16	MinDelayBtwnRings;
+	CXT_UINT16	MaxDelayBtwnRings;
+    CXT_UINT16	MinRingOnTime;
+    CXT_UINT16	MinImmediateRingOn;
+    CXT_UINT16	MaxImmediateRingOn;
+	CXT_UINT8	P85RingWakePulseWidth;
 } CntryRingStructure;
 #pragma pack()
 
 /* DTMF Dial Parameters*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagDTMF {
-	UINT16	DTMFOnTime;
-	UINT16	DTMFInterdigit;   
+	CXT_UINT16	DTMFOnTime;
+	CXT_UINT16	DTMFInterdigit;   
 } CntryDTMFStructure;
 #pragma pack()
 
 #pragma pack(1)
 typedef struct PACKED_ATTRIB FilterParamTAG {
-	UINT16	FilterType;
-	UINT16	Biquad1[5];
-	UINT16	Biquad2[5];    
-	UINT16	LpFBK;
-	UINT16	LpGain;
-	UINT16	ThreshU;
-	UINT16	ThreshL;
-	UINT16	Biquad1_PreF[5];
-	UINT16	Biquad2_PreF[5];
-	BOOL	SqDisState;
+	CXT_UINT16	FilterType;
+	CXT_UINT16	Biquad1[5];
+	CXT_UINT16	Biquad2[5];    
+	CXT_UINT16	LpFBK;
+	CXT_UINT16	LpGain;
+	CXT_UINT16	ThreshU;
+	CXT_UINT16	ThreshL;
+	CXT_UINT16	Biquad1_PreF[5];
+	CXT_UINT16	Biquad2_PreF[5];
+	CXT_BOOL	SqDisState;
 } FilterParam, *ptrFilterParam;
 #pragma pack()
 
@@ -519,35 +519,35 @@
 
 /* RLSD Threshold Adjustment*/
 typedef struct tagRLSD {
-	UINT32		XrthOffset;				/* can be + or -*/
+	CXT_UINT32		XrthOffset;				/* can be + or -*/
 } CntryRLSDStructure;
 
 /* Tone Detection Parameters*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagTone {
-	UINT16		DialStable;
-	UINT16		WDialStable; 
-	UINT16		AnswerStable;
-	UINT16		ProgressStable;
-	UINT8		DialtoneWaitTime;
-    UINT16		PolarityReversalIgnoreTime;
+	CXT_UINT16		DialStable;
+	CXT_UINT16		WDialStable; 
+	CXT_UINT16		AnswerStable;
+	CXT_UINT16		ProgressStable;
+	CXT_UINT8		DialtoneWaitTime;
+    CXT_UINT16		PolarityReversalIgnoreTime;
 } CntryToneStructure;
 #pragma pack()
 
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagCadPrm {
 	struct {
-		UINT32	lMin;
-		UINT32	lMax;
+		CXT_UINT32	lMin;
+		CXT_UINT32	lMax;
 	} Interval[MAX_INTERVALS];
-	UINT32		lNumIntervalsNeeded;
+	CXT_UINT32		lNumIntervalsNeeded;
 } CadPrm;
 #pragma pack()
 
 /* TONE CADENCE*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagCadence {
-	UINT8		ToneCadence_NumberOfPhases;
+	CXT_UINT8		ToneCadence_NumberOfPhases;
 	CadPrm		DialtoneParams;
 //new        CadPrm		WDialtoneParams;
 	CadPrm		BusyParams;
@@ -573,18 +573,18 @@
 /* Blacklisting Parameters*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagBlacklisting {
-	UINT8			BlstAction_NoDialTone;
-	UINT8			BlstAction_KeyAbort;
-	UINT8			BlstAction_Busy;
-	UINT8			BlstAction_NoConnection;
-	UINT8			BlstAction_NoAnswer;
-	UINT8			BlstAction_VoiceAnswer;
-	UINT16			BlackListingDelay1;			/* InterCall Delay upon Failure when redialing same number */
-	UINT16			BlackListingDelay2;			/* InterCall Delay upon Failure when redialing different number */
-	UINT16			BlackListingDelay3;			/* Method 2 Delay */
-	UINT16			BlackListingDelay4;			/* Method 3 Delay */ 
-	UINT16			BlackListingCount1;			/* Method 2 # of Failures */
-	UINT16			BlackListingCount2;			/* Method 3 # of Failures */
+	CXT_UINT8			BlstAction_NoDialTone;
+	CXT_UINT8			BlstAction_KeyAbort;
+	CXT_UINT8			BlstAction_Busy;
+	CXT_UINT8			BlstAction_NoConnection;
+	CXT_UINT8			BlstAction_NoAnswer;
+	CXT_UINT8			BlstAction_VoiceAnswer;
+	CXT_UINT16			BlackListingDelay1;			/* InterCall Delay upon Failure when redialing same number */
+	CXT_UINT16			BlackListingDelay2;			/* InterCall Delay upon Failure when redialing different number */
+	CXT_UINT16			BlackListingDelay3;			/* Method 2 Delay */
+	CXT_UINT16			BlackListingDelay4;			/* Method 3 Delay */ 
+	CXT_UINT16			BlackListingCount1;			/* Method 2 # of Failures */
+	CXT_UINT16			BlackListingCount2;			/* Method 3 # of Failures */
 	BLFlagStructure	BlstFlags;
 } CntryBlacklistingStructure;
 #pragma pack()
@@ -601,11 +601,11 @@
 /* CallerID Parameter*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagCallerID {
-	UINT8		Cid_TYPE;
-	UINT8		Cid_Prefix;
-	UINT8		Cid_Suffix;
-	UINT16		Cid_WaitTime;
-	UINT8		PreRing_Cid_Indicator;
+	CXT_UINT8		Cid_TYPE;
+	CXT_UINT8		Cid_Prefix;
+	CXT_UINT8		Cid_Suffix;
+	CXT_UINT16		Cid_WaitTime;
+	CXT_UINT8		PreRing_Cid_Indicator;
 } CntryCallerIDStructure;
 #pragma pack()
 
@@ -657,9 +657,9 @@
 /* Agress speed Parameter*/
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagAgressSpeedIndex {
-	UINT8	cV90AgressSpeedIndex;
-	UINT8	cK56AgressSpeedIndex;
-	UINT8	cV34AgressSpeedIndex;
+	CXT_UINT8	cV90AgressSpeedIndex;
+	CXT_UINT8	cK56AgressSpeedIndex;
+	CXT_UINT8	cV34AgressSpeedIndex;
 } CntryAgressSpeedIndexStructure;
 #pragma pack()
 
@@ -678,8 +678,8 @@
 #pragma pack(1)
 typedef struct PACKED_ATTRIB CAS_Action_Tag {
 	CAS_ACTION		Action;
-	UINT32			Tone;
-	UINT32			Duration;
+	CXT_UINT32			Tone;
+	CXT_UINT32			Duration;
 } CntryCASAction;
 #pragma pack()
 
@@ -687,8 +687,8 @@
 
 #pragma pack(1)
 typedef struct PACKED_ATTRIB CallerID2_Tag {
-  UINT8				Cid_TYPE;
-  UINT32			CASDetectionTime; /* time given for cas detection */
+  CXT_UINT8				Cid_TYPE;
+  CXT_UINT32			CASDetectionTime; /* time given for cas detection */
   CntryCASAction	CASAction[MAX_CAS_ACTIONS];
 } CntryCallerID2Structure;
 #pragma pack()
@@ -702,10 +702,10 @@
 #pragma pack(1)
 typedef struct PACKED_ATTRIB CW_HWToneDetectorParams_tag
 {
-   UINT16 wToneFrequency;
-   UINT8 cToneCounterTolerance;
-   UINT8 cToneCheckCounterPeriod;
-   UINT16 wToneSampleDuration;
+   CXT_UINT16 wToneFrequency;
+   CXT_UINT8 cToneCounterTolerance;
+   CXT_UINT8 cToneCheckCounterPeriod;
+   CXT_UINT16 wToneSampleDuration;
 } CW_HWToneDetectorParams;
 #pragma pack()
 
@@ -716,15 +716,15 @@
    CW_HWToneDetectorParams SAS_DetectorSettings;
    CW_HWToneDetectorParams CAS_DetectorSettings;
 
-   UINT16 wCallWaitingTimeOut;
-   UINT16 wCW_AGCMAXG;
-   UINT16 wCW_AGCSLR;
-   UINT16 wCW_AGCREF;
-   UINT16 wCW_Alpha2Coefficient;
-   UINT16 wCW_Beta2Coefficient;
-   UINT16 wCW_Alpha1Coefficient;
-   UINT16 wCW_UpdateRate;
-   UINT16 wCW_DetectThreshold;
+   CXT_UINT16 wCallWaitingTimeOut;
+   CXT_UINT16 wCW_AGCMAXG;
+   CXT_UINT16 wCW_AGCSLR;
+   CXT_UINT16 wCW_AGCREF;
+   CXT_UINT16 wCW_Alpha2Coefficient;
+   CXT_UINT16 wCW_Beta2Coefficient;
+   CXT_UINT16 wCW_Alpha1Coefficient;
+   CXT_UINT16 wCW_UpdateRate;
+   CXT_UINT16 wCW_DetectThreshold;
 } CntryCallWaitingHwToneDetector;
 */
 #pragma pack()
@@ -733,8 +733,8 @@
 
 #pragma pack(1)
 typedef struct PACKED_ATTRIB CntryCallWaitingParams_Tag {
-	UINT8							ValidFlag;	/* if set to 0 CW isn't supported */
-	UINT32							CycleTime;	/* in ms */
+	CXT_UINT8							ValidFlag;	/* if set to 0 CW isn't supported */
+	CXT_UINT32							CycleTime;	/* in ms */
 	CntryCallWaitingToneDetector	CW_ToneDetector;
 //    SINGLETONEDETECT		        ToneAS;
 	CntryCallWaitingAction			AcceptAction[MOH_MAX_SWITCH_COMMANDS];
@@ -747,20 +747,20 @@
 
 typedef struct PACKED_ATTRIB CallWaitingInfoTag
 {
-	UINT32	dwCWEnable;
-	BOOL		bCWDetected;
-	BOOL		bCWCIDCollected;
+	CXT_UINT32	dwCWEnable;
+	CXT_BOOL		bCWDetected;
+	CXT_BOOL		bCWCIDCollected;
 	CW_HWToneDetectorParams *pCWToneParams;
-	BOOL		bLookingForCAS;
-	BOOL		bInCWCID;
+	CXT_BOOL		bLookingForCAS;
+	CXT_BOOL		bInCWCID;
 } CallWaitingInfo;
 
 typedef struct PACKED_ATTRIB CntryV92Control_Tag {
-	UINT32	UpstreamEnable : 1;
-	UINT32	Fill1		   : 15;
-	UINT32	MohDetectCw    : 1;
-	UINT32	OgcEnable	   : 1;
-	UINT32	Fill2		   : 14;
+	CXT_UINT32	UpstreamEnable : 1;
+	CXT_UINT32	Fill1		   : 15;
+	CXT_UINT32	MohDetectCw    : 1;
+	CXT_UINT32	OgcEnable	   : 1;
+	CXT_UINT32	Fill2		   : 14;
 } CntryV92Control;
 
 typedef struct CntryOGCParams_Tag
@@ -773,47 +773,47 @@
 #if !defined NO_QC_SUPPORT
 typedef struct PACKED_ATTRIB QuickConnectInfoTag
 {
-   BOOL bProfileStorageEnable;
-   UINT8 cEraseProfile;
-   UINT32 dwCW_MOH_QCPrintState;
-/*   UINT32 dwATCmdQCValue; */
-   UINT32 dwQCEnable;
-   BOOL bSaveProfile;
-
-   UINT16 wRxCurrState;
-   UINT16 wRxPrevState;
-   UINT16 wTxCurrState;
-   UINT16 wTxPrevState;
-   UINT8 cCurrConf;
-   UINT8 cPrevConf;
-   BOOL bStartWA;
-   BOOL bDpConfigChangeAA;
-   BOOL bSentQC2a;
-   BOOL bGotQCA1d;
-   BOOL bUseV8Normal;   
-   BOOL bStartedTraining;
+   CXT_BOOL bProfileStorageEnable;
+   CXT_UINT8 cEraseProfile;
+   CXT_UINT32 dwCW_MOH_QCPrintState;
+/*   CXT_UINT32 dwATCmdQCValue; */
+   CXT_UINT32 dwQCEnable;
+   CXT_BOOL bSaveProfile;
+
+   CXT_UINT16 wRxCurrState;
+   CXT_UINT16 wRxPrevState;
+   CXT_UINT16 wTxCurrState;
+   CXT_UINT16 wTxPrevState;
+   CXT_UINT8 cCurrConf;
+   CXT_UINT8 cPrevConf;
+   CXT_BOOL bStartWA;
+   CXT_BOOL bDpConfigChangeAA;
+   CXT_BOOL bSentQC2a;
+   CXT_BOOL bGotQCA1d;
+   CXT_BOOL bUseV8Normal;   
+   CXT_BOOL bStartedTraining;
 
    /* Measurement, remove when done */
-   UINT32 dwTotalTime;
-   UINT32 dwStartTime;
-   UINT32 dwStopTime;
-   UINT32 dwV8QCSetupTimeStamp;
-   UINT32 dwV8GotQC1dTimeStamp;
-   UINT32 dwATCmdQCPSSValue;
-   BOOL  bQCPSSEnable;
-   UINT32 dwATCmdQCPSValue;
+   CXT_UINT32 dwTotalTime;
+   CXT_UINT32 dwStartTime;
+   CXT_UINT32 dwStopTime;
+   CXT_UINT32 dwV8QCSetupTimeStamp;
+   CXT_UINT32 dwV8GotQC1dTimeStamp;
+   CXT_UINT32 dwATCmdQCPSSValue;
+   CXT_BOOL  bQCPSSEnable;
+   CXT_UINT32 dwATCmdQCPSValue;
 } QuickConnectInfo;
 #endif
 
 typedef struct PACKED_ATTRIB tagCtryPrmsStruct {
-	UINT16							T35Code;							/* T.35 Country Identification*/
+	CXT_UINT16							T35Code;							/* T.35 Country Identification*/
 	char							cInter[MAX_OEM_STR_LEN];			/* Country Name*/
 	char							cIntCode[MAX_OEM_STR_LEN];			/* Country International Access code*/
 	CntryTxlevelStructure			Txlevel;							/* + Transmit Level*/
 	DAA_RELAY_TYPE					Relays[DEVMGR_LAST_RELAY_ENTRY];	/* + Relay Control Parameters*/
 	CntryPulseStructure				Pulse;								/* Pulse Dial Parameters*/
 	CntryRingStructure				Ring;								/* + Ring Detection Parameters*/
-	UINT8							SRegLimits[NUM_LIMITED_SREGS][4];	/* S Register Limiting*/
+	CXT_UINT8							SRegLimits[NUM_LIMITED_SREGS][4];	/* S Register Limiting*/
 	CntryDTMFStructure				DTMF;								/* + DTMF Dial Parameters*/
 	CntryFilterStructure			Filter;								/* + Filter Parameters*/
 	CntryThresholdStructure			Threshold;							/* + Thresholds Parameters*/
@@ -916,9 +916,9 @@
 
 #pragma pack(1)
 typedef struct OEMCadence_Tag {
-    UINT8       ToneCadence_NumberOfPhases;  
+    CXT_UINT8       ToneCadence_NumberOfPhases;  
     CadPrm      FaxCallingParams;		
-    UINT32      FaxCallingToneTimer;  
+    CXT_UINT32      FaxCallingToneTimer;  
 } OEMCadenceStructure;
 #pragma pack()
 
@@ -930,104 +930,104 @@
 typedef struct tagV25Ter_Struct
 {
     /* V.25ter variables */
-    UINT32 dwAutoDetect;        /*+IPR fixed DTE rate */
-    UINT32 dwDTERateReport;     /*+ILRR DTE rate reporting */
-    UINT32 dwModulationReport;  /*+MR modulation reporting */
-    UINT32 dwSelReject;         /*+ESR selective reject */
-    UINT32 dwFCSSelect;         /*+EFCS frame check sequence select */
-    UINT32 dwECReport;          /*+ER error correction reporting */
-    UINT32 dwCompressReport;    /*+DR data compression reporting */
-
-    /*   BOOL  bStringParm;         // String parm for parsing */
-    UINT8  cCFallowed;          /* V.25ter Annex A accepted call functions */
-    UINT8  cV8pf;               /* V.25ter Annex A accepted pr */
+    CXT_UINT32 dwAutoDetect;        /*+IPR fixed DTE rate */
+    CXT_UINT32 dwDTERateReport;     /*+ILRR DTE rate reporting */
+    CXT_UINT32 dwModulationReport;  /*+MR modulation reporting */
+    CXT_UINT32 dwSelReject;         /*+ESR selective reject */
+    CXT_UINT32 dwFCSSelect;         /*+EFCS frame check sequence select */
+    CXT_UINT32 dwECReport;          /*+ER error correction reporting */
+    CXT_UINT32 dwCompressReport;    /*+DR data compression reporting */
+
+    /*   CXT_BOOL  bStringParm;         // String parm for parsing */
+    CXT_UINT8  cCFallowed;          /* V.25ter Annex A accepted call functions */
+    CXT_UINT8  cV8pf;               /* V.25ter Annex A accepted pr */
 
-    /*   UINT32 dwTempo; */
+    /*   CXT_UINT32 dwTempo; */
 
     /* +A8E parms    */
-    UINT32 dwV8o;
-    UINT32 dwV8a;
-    UINT32 dwV8cf;
-    UINT32 dwV8b;
-    UINT8  szCfrange[20];
-    UINT8  szProtrange[20];
+    CXT_UINT32 dwV8o;
+    CXT_UINT32 dwV8a;
+    CXT_UINT32 dwV8cf;
+    CXT_UINT32 dwV8b;
+    CXT_UINT8  szCfrange[20];
+    CXT_UINT8  szProtrange[20];
 
     /* +DS parms */
-    UINT32 dwCompressDir;
-    UINT32 dwCompressNeg;
-    UINT32 dwCompressDict;
-    UINT32 dwCompressStr;
+    CXT_UINT32 dwCompressDir;
+    CXT_UINT32 dwCompressNeg;
+    CXT_UINT32 dwCompressDict;
+    CXT_UINT32 dwCompressStr;
 
     /* +EB parms */
-    UINT32 dwBreakSel;
-    UINT32 dwBreakTimed;
-    UINT32 dwBreakLen;
+    CXT_UINT32 dwBreakSel;
+    CXT_UINT32 dwBreakTimed;
+    CXT_UINT32 dwBreakLen;
 
     /* +ES parms */
-    UINT32 dwOrgReq;                   /* +ES parm 1 */
-    UINT32 dwOrgFbk;                   /* +ES parm 2 */
-    UINT32 dwAnsFbk;                   /* +ES parm 3 */
+    CXT_UINT32 dwOrgReq;                   /* +ES parm 1 */
+    CXT_UINT32 dwOrgFbk;                   /* +ES parm 2 */
+    CXT_UINT32 dwAnsFbk;                   /* +ES parm 3 */
 
 
     /* +ESA parms */
-    UINT32 dwV80TransIdle;             /* +ESA parm 1 -- Transparent sub-Mode Idle Control */
-    UINT32 dwV80FramedIdle;            /* +ESA parm 2 -- Framed sub-Mode Idle Control (Flags or Marks) */
-    UINT32 dwV80FramedUnOv;            /* +ESA parm 3 -- Framed sub-Mode Underrun/Overrun Control (Abort or Flag) */
-    /*UINT32 dwV80HdAuto;                // +ESA parm 4 -- Half Duplex Carrier Control --- NOT IMPLEMENTED */
-    UINT32 dwV80CRCType;               /* +ESA parm 5 -- CRC type (none, LAPM's 16-bit CRC, LAPM's 32-bit CRC) */
-    UINT32 dwV80NRZIEn;                /* +ESA parm 6 -- NRZI Encoding Enable */
-    UINT32 dwV80Syn1;                  /* +ESA parm 7 -- Sync char 1 (used on idle) */
-    /*UINT32 dwV80Syn2;                  // +ESA parm 8 -- Sync char 2 (used on idle) --- NOT IMPLEMENTED */
+    CXT_UINT32 dwV80TransIdle;             /* +ESA parm 1 -- Transparent sub-Mode Idle Control */
+    CXT_UINT32 dwV80FramedIdle;            /* +ESA parm 2 -- Framed sub-Mode Idle Control (Flags or Marks) */
+    CXT_UINT32 dwV80FramedUnOv;            /* +ESA parm 3 -- Framed sub-Mode Underrun/Overrun Control (Abort or Flag) */
+    /*CXT_UINT32 dwV80HdAuto;                // +ESA parm 4 -- Half Duplex Carrier Control --- NOT IMPLEMENTED */
+    CXT_UINT32 dwV80CRCType;               /* +ESA parm 5 -- CRC type (none, LAPM's 16-bit CRC, LAPM's 32-bit CRC) */
+    CXT_UINT32 dwV80NRZIEn;                /* +ESA parm 6 -- NRZI Encoding Enable */
+    CXT_UINT32 dwV80Syn1;                  /* +ESA parm 7 -- Sync char 1 (used on idle) */
+    /*CXT_UINT32 dwV80Syn2;                  // +ESA parm 8 -- Sync char 2 (used on idle) --- NOT IMPLEMENTED */
 
     /* +ETBM parms */
-    UINT32 dwPendingTD;
-    UINT32 dwPendingRD;
-    UINT32 dwPendingTimer;
+    CXT_UINT32 dwPendingTD;
+    CXT_UINT32 dwPendingRD;
+    CXT_UINT32 dwPendingTimer;
 
     /* +FIT parms */
-    UINT32 dwInactiveTmr;
-    UINT32 dwInactiveAction;
+    CXT_UINT32 dwInactiveTmr;
+    CXT_UINT32 dwInactiveAction;
 
     /* +ICF parms */
-    UINT32 dwCharFormat;
-    UINT32 dwCharParity;
+    CXT_UINT32 dwCharFormat;
+    CXT_UINT32 dwCharParity;
 
     /* +IFC parms */
-    UINT32 dwDCEByDTE;
-    UINT32 dwDTEByDCE;
+    CXT_UINT32 dwDCEByDTE;
+    CXT_UINT32 dwDTEByDCE;
 
     /* +ITF parms */
-    UINT32 dwV80XOffThreshold;         /* +ITF parm 1 -- Tx buffer threshold at which XOFF is generated */
-    UINT32 dwV80XOnThreshold;          /* +ITF parm 2 -- Tx buffer threshold at which XON is generated */
-    UINT32 dwV80RptInterval;           /* +ITF parm 3 -- Report # of bytes in TX buffer at defined  */
+    CXT_UINT32 dwV80XOffThreshold;         /* +ITF parm 1 -- Tx buffer threshold at which XOFF is generated */
+    CXT_UINT32 dwV80XOnThreshold;          /* +ITF parm 2 -- Tx buffer threshold at which XON is generated */
+    CXT_UINT32 dwV80RptInterval;           /* +ITF parm 3 -- Report # of bytes in TX buffer at defined  */
 
     /*+PCW, +PMH, and +PQC parms RLC */
-    UINT8  cPCW;						/* Call Waiting Enable */
-    UINT8  cPMH;						/* Modem on Hold Enable */
-    UINT8  cPQC;						/* Quick Connect Enable */
+    CXT_UINT8  cPCW;						/* Call Waiting Enable */
+    CXT_UINT8  cPMH;						/* Modem on Hold Enable */
+    CXT_UINT8  cPQC;						/* Quick Connect Enable */
 
     /* V.25ter/TIA-602 plus Misc.       // 0 1 2   3   4   5 6 7 8     9     10 11 12 13 */
-    /*   UINT8    OtherCmds[14];              // E,Q,V,(P,T),&D,&C,L,M,X,(&T4,&T5),%E,&G,&P,&R */
-    UINT8  OtherCmds[MAX_OTHERCOMMANDS];              /* E,Q,V,(P,T),&D,&C,L,M,X,(&T4,&T5),%E,&G,&P,&R */
+    /*   CXT_UINT8    OtherCmds[14];              // E,Q,V,(P,T),&D,&C,L,M,X,(&T4,&T5),%E,&G,&P,&R */
+    CXT_UINT8  OtherCmds[MAX_OTHERCOMMANDS];              /* E,Q,V,(P,T),&D,&C,L,M,X,(&T4,&T5),%E,&G,&P,&R */
 									    /*JT increased for &A ,&K, &M,X, &Y,&B, &H,&I,&R, Y,Z,&F for USR */
 											
 } V25Ter_Struct;
 #pragma pack()
 
 typedef struct SoftMSParmsStructTAG {
-	UINT32      dwMsMode;
-	UINT32      dwMsAuto;
-	UINT32      dwMsMinTxSp;
-	UINT32      dwMsMaxTxSp;
-	UINT32      dwMsMinRxSp;
-	UINT32      dwMsMaxRxSp;
+	CXT_UINT32      dwMsMode;
+	CXT_UINT32      dwMsAuto;
+	CXT_UINT32      dwMsMinTxSp;
+	CXT_UINT32      dwMsMaxTxSp;
+	CXT_UINT32      dwMsMinRxSp;
+	CXT_UINT32      dwMsMaxRxSp;
 } SoftMSParmsStruct;
 
 typedef struct MiscParms_Struct {
-	UINT32      dwExtResponse;     /*W setting */
-	UINT32      dwFaxAutoAnswer;   /*+FAE setting */
-    BOOL        bV90Enabled;
-    BOOL        bV34FEnabled;
+	CXT_UINT32      dwExtResponse;     /*W setting */
+	CXT_UINT32      dwFaxAutoAnswer;   /*+FAE setting */
+    CXT_BOOL        bV90Enabled;
+    CXT_BOOL        bV34FEnabled;
 } MiscParmsStruct;
 
 typedef struct PACKED_ATTRIB tagOEM_Filter {
@@ -1042,8 +1042,8 @@
 } OEMFilterStructure;
 
 typedef struct PACKED_ATTRIB tagModulation {
-	UINT16		Org;
-	UINT16		Ans;
+	CXT_UINT16		Org;
+	CXT_UINT16		Ans;
 } Modulation;
 
 typedef struct PACKED_ATTRIB tagOEM_Threshold {
@@ -1060,39 +1060,39 @@
 	Modulation		V27;
 	Modulation		V29;
 	Modulation		V17;
-	UINT16			bRx28800Thr;
+	CXT_UINT16			bRx28800Thr;
 } OEMThresholdStruct;
 
 typedef struct PACKED_ATTRIB tagPROFILE_DATA
 {
-    UINT8       Echo;          /* ATE 	CFGMGR_DTE_ECHO*/
-    UINT8       Volume;        /* ATL 	CFGMGR_SPEAKER_VOLUME*/
-    UINT8       Speaker;       /* ATM 	CFGMGR_SPEAKER_CONTROL*/
-    UINT8   	Pulse;         /* ATT/ATD 1-PULSE, 0-TONE 	CFGMGR_DIAL_MODE*/
-
-    UINT8       Quiet;         /* ATQ	CFGMGR_DTE_CONFIG.bQuiet*/
-    UINT8       Verbose;       /* ATV	DTE_USER_CONFIG.bVerbose*/
-    UINT8       Level;         /* ATX	DTE_USER_CONFIG.bLevel*/
-    UINT8       Connect;
-
-    UINT8       AmperC;     /* CFGMGR_RLSD_BEHAVIOR*/
-    UINT8       AmperD;     /* CFGMGR_DTR_BEHAVIOR*/
-
-    UINT8       S0;         /* Sregisters CFGMGR_SREG + <number>*/
-    UINT8       S1;
-    UINT8       S2;
-    UINT8       S3;
-    UINT8       S4;
-    UINT8       S5;
-    UINT8       S6;
-    UINT8       S7;
-    UINT8       S8;
-    UINT8       S10;
-    UINT8       S11;
-    UINT8       S12;
-    UINT8       S16;
-    UINT8       S18;
-    UINT8       S29;
+    CXT_UINT8       Echo;          /* ATE 	CFGMGR_DTE_ECHO*/
+    CXT_UINT8       Volume;        /* ATL 	CFGMGR_SPEAKER_VOLUME*/
+    CXT_UINT8       Speaker;       /* ATM 	CFGMGR_SPEAKER_CONTROL*/
+    CXT_UINT8   	Pulse;         /* ATT/ATD 1-PULSE, 0-TONE 	CFGMGR_DIAL_MODE*/
+
+    CXT_UINT8       Quiet;         /* ATQ	CFGMGR_DTE_CONFIG.bQuiet*/
+    CXT_UINT8       Verbose;       /* ATV	DTE_USER_CONFIG.bVerbose*/
+    CXT_UINT8       Level;         /* ATX	DTE_USER_CONFIG.bLevel*/
+    CXT_UINT8       Connect;
+
+    CXT_UINT8       AmperC;     /* CFGMGR_RLSD_BEHAVIOR*/
+    CXT_UINT8       AmperD;     /* CFGMGR_DTR_BEHAVIOR*/
+
+    CXT_UINT8       S0;         /* Sregisters CFGMGR_SREG + <number>*/
+    CXT_UINT8       S1;
+    CXT_UINT8       S2;
+    CXT_UINT8       S3;
+    CXT_UINT8       S4;
+    CXT_UINT8       S5;
+    CXT_UINT8       S6;
+    CXT_UINT8       S7;
+    CXT_UINT8       S8;
+    CXT_UINT8       S10;
+    CXT_UINT8       S11;
+    CXT_UINT8       S12;
+    CXT_UINT8       S16;
+    CXT_UINT8       S18;
+    CXT_UINT8       S29;
 
 } PROFILE_DATA, *PPROFILE_DATA;
 
@@ -1101,9 +1101,9 @@
 
 typedef struct tagDownloadFailure
 {
-    UINT8   bCode;
-    UINT8   bDesiredCRC;
-    UINT8   bActualCRC;
+    CXT_UINT8   bCode;
+    CXT_UINT8   bDesiredCRC;
+    CXT_UINT8   bActualCRC;
 } DOWNLOAD_FAILURE, *PDOWNLOAD_FAILURE;
 
 #define MAX_DOWNLOAD_FAILURE    10
